From 85ee373b0d1f03e7600366eae64a767e07298688 Mon Sep 17 00:00:00 2001
From: Sam James <sam@gentoo.org>
Date: Wed, 1 Dec 2021 15:42:38 +0000
Subject: [PATCH] Respect CFLAGS for arm*

---
 CMakeLists.txt              | 6 +++---
 dynamicHDR10/CMakeLists.txt | 8 ++++----
 2 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 9580413..737bf14 100755
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -249,14 +249,14 @@ if(GCC)
     endif()
     if(ARM AND CROSS_COMPILE_ARM)
         message(STATUS "cross compile arm")
-		set(ARM_ARGS -march=armv6 -mfloat-abi=soft -mfpu=vfp -marm -fPIC)
+		set(ARM_ARGS -fPIC)
     elseif(ARM)
         find_package(Neon)
         if(CPU_HAS_NEON)
-            set(ARM_ARGS -mcpu=native -mfloat-abi=hard -mfpu=neon -marm -fPIC)
+            set(ARM_ARGS -mfpu=neon -fPIC)
             add_definitions(-DHAVE_NEON)
         else()
-            set(ARM_ARGS -mcpu=native -mfloat-abi=hard -mfpu=vfp -marm)
+            set(ARM_ARGS -fPIC)
         endif()
     endif()
 	if(ARM64 OR CROSS_COMPILE_ARM64)
diff --git a/dynamicHDR10/CMakeLists.txt b/dynamicHDR10/CMakeLists.txt
index 22fb79d..3639281 100644
--- a/dynamicHDR10/CMakeLists.txt
+++ b/dynamicHDR10/CMakeLists.txt
@@ -43,14 +43,14 @@ if(GCC)
         endif()
     endif()
     if(ARM AND CROSS_COMPILE_ARM)
-        set(ARM_ARGS -march=armv6 -mfloat-abi=soft -mfpu=vfp -marm -fPIC)
+        set(ARM_ARGS -fPIC)
     elseif(ARM)
         find_package(Neon)
         if(CPU_HAS_NEON)
-            set(ARM_ARGS -mcpu=native -mfloat-abi=hard -mfpu=neon -marm -fPIC)
+            set(ARM_ARGS -mfpu=neon -fPIC)
             add_definitions(-DHAVE_NEON)
         else()
-            set(ARM_ARGS -mcpu=native -mfloat-abi=hard -mfpu=vfp -marm)
+            set(ARM_ARGS -fPIC)
         endif()
     endif()
     add_definitions(${ARM_ARGS})
@@ -150,4 +150,4 @@ set(BIN_INSTALL_DIR bin CACHE STRING "Install location of executables")
 option(ENABLE_SHARED "Build shared library" OFF)
 
 install(FILES hdr10plus.h DESTINATION include)
-endif()
\ No newline at end of file
+endif()
-- 
2.34.1

